Loading...
Searching...
No Matches
janus_mqttevh_context Struct Reference

## Data Fields

MQTTAsync | client
int | addplugin
int | addevent
struct { |
int mqtt_version |
int keep_alive_interval |
int cleansession |
int max_inflight |
int max_buffered |
char * client_id |
char * username |
char * password |
char * url |
} | connect
struct { |
int timeout |
} | disconnect
struct { |
char * topic |
char * connect_status |
char * disconnect_status |
int qos |
int retain |
} | publish
struct { |
gboolean enabled |
char * topic |
int qos |
int retain |
} | will
struct { |
gboolean enable |
char * cacert_file |
char * cert_file |
char * key_file |
gboolean verify_peer |
gboolean verify_host |
} | tls

## Field Documentation

## addevent

int janus_mqttevh_context::addevent

## addplugin

int janus_mqttevh_context::addplugin

## cacert_file

char* janus_mqttevh_context::cacert_file

## cert_file

char* janus_mqttevh_context::cert_file

## cleansession

int janus_mqttevh_context::cleansession

## client

MQTTAsync janus_mqttevh_context::client

## client_id

char* janus_mqttevh_context::client_id

## [struct]

struct { ... } janus_mqttevh_context::connect

## connect_status

char* janus_mqttevh_context::connect_status

## [struct]

struct { ... } janus_mqttevh_context::disconnect

## disconnect_status

char* janus_mqttevh_context::disconnect_status

## enable

gboolean janus_mqttevh_context::enable

## enabled

gboolean janus_mqttevh_context::enabled

## keep_alive_interval

int janus_mqttevh_context::keep_alive_interval

## key_file

char* janus_mqttevh_context::key_file

## max_buffered

int janus_mqttevh_context::max_buffered

## max_inflight

int janus_mqttevh_context::max_inflight

## mqtt_version

int janus_mqttevh_context::mqtt_version

## password

char* janus_mqttevh_context::password

## [struct]

struct { ... } janus_mqttevh_context::publish

## qos

int janus_mqttevh_context::qos

## retain

int janus_mqttevh_context::retain

## timeout

int janus_mqttevh_context::timeout

## [struct]

struct { ... } janus_mqttevh_context::tls

## topic

char* janus_mqttevh_context::topic

## url

char* janus_mqttevh_context::url

## username

char* janus_mqttevh_context::username

## verify_host

gboolean janus_mqttevh_context::verify_host

## verify_peer

gboolean janus_mqttevh_context::verify_peer

## [struct]

struct { ... } janus_mqttevh_context::will

The documentation for this struct was generated from the following file:

- janus_mqttevh.c